Summary: Plugins for multi channel settings manager
Name: xfce-mcs-plugins
Version: 4.4.2
Release: 4%{?dist}
License: GPLv2
URL: http://www.xfce.org/
Source0: http://www.xfce.org/archive/xfce-4.4.2/src/xfce-mcs-plugins-4.4.2.tar.bz2
Patch0: xfce-mcs-plugins-4.4.2-fedora.patch
Patch1: xfce-mcs-plugins-4.4.2-mouse.patch
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: xfce-mcs-manager >= %{version}
BuildRequires: gettext
BuildRequires: gtk2-devel >= 2.0.6
BuildRequires: xfce-mcs-manager-devel >= %{version}
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: libxfce4util-devel >= %{version}
BuildRequires: libxfce4mcs-devel >= %{version}
BuildRequires: imake
BuildRequires: libXt-devel

%description
This package inlcudes a set of plugins for the multi channel
settings manager.

%prep
%setup -q
%patch0 -p1 -b .fedora
%patch1 -p1 -b .mouse

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/mcs-plugins/*.la
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING AUTHORS
%docdir %{_datadir}/xfce4/doc
%{_datadir}/xfce4/doc/C
%{_datadir}/xfce4/doc/fr
%{_datadir}/xfce4/doc/it
%{_libdir}/xfce4/mcs-plugins/*.so
%{_datadir}/xfce-mcs-plugins/
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Tue Feb 19 2008 Christoph Wickert <fedora christoph-wickert.de> - 4.4.2-4
- Use Nodoka Theme by default
- Configure with --disable-static instead of removing .a files
- Run gtk-update-icon-cache

* Sun Feb 10 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-3
- Rebuild for gcc43

* Mon Dec 17 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.2-2
- Add patch for mouse button crash (fixes #425925)

* Sun Nov 18 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.2-1
- Update to 4.4.2

* Mon Aug 27 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-3
- Update License tag

* Mon Jul 30 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-2
- Add dpi interface option. (fixes #244286)

* Wed Apr 11 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-1
- Update to 4.4.1

* Tue Apr  3 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-2
- Own some unowned directories

* Sun Jan 21 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-1
- Update to 4.4.0

* Fri Nov 10 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.2-1
- Update to 4.3.99.2

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-3
- Fix defattr

* Wed Oct  4 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-2
- Bump release for devel checkin

* Sun Sep  3 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-1
- Upgrade to 4.3.99.1

* Wed Jul 12 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.2-1
- Update to 4.3.90.2

* Mon May  8 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.1-1
- Update to 4.3.90.1

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc5
- Update to 4.2.3
- Added dist tag
- Added doc/he files
- Removed 0 len TODO file

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Update to 4.2.2
- Add doc/fr directory

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-4.fc4
- lowercase Release 

* Wed Mar 23 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-3.FC4
- Removed unneeded la/a files

* Sat Mar 19 2005 Warren Togami <wtogami@redhat.com> - 4.2.1-2
- remove explicit gtk2 req

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-2
- Capitalized first letter of Summary in devel section to quiet rpmlint

* Mon Jan 24 2005 Than Ngo <than@redhat.com> 4.2.0-1
- 4.2.0

* Wed Dec 08 2004 Than Ngo <than@redhat.com> 4.1.99.1-1
- update to 4.2 rc1

* Thu Sep 02 2004 Than Ngo <than@redhat.com> 4.0.6-2
- use find_lang macro
- cleanup specfile

* Mon Jul 19 2004 Than Ngo <than@redhat.com> 4.0.6-1
- update to 4.0.6
- remove some unneeded patch files, which are included in new upstream

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 20 2004 Than Ngo <than@redhat.com> 4.0.5-2
- Fix bug in default icon theme selection, thanks to Olivier Fourdan <fourdan@xfce.org>
- Add support for icon theme, Change defaults for fedora, #119647, thanks to Olivier Fourdan <fourdan@xfce.org>

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Fri Jan 09 2004 Than Ngo <than@redhat.com> 4.0.3-1
- add libxfce4util-devel, libxfcegui4-devel in BuildRequires
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build
